Get invoices
curl --request GET \
--url https://api.smokeball.com/matters/{matterId}/invoices \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/matters/{matterId}/invoices"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/matters/{matterId}/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"value": [
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "16567e88-784c-470e-8952-e5a70fe2eb0c",
"versionId": "39ffde97-eeeb-4747-bb8f-7c7c10b3c985",
"matter": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"matterId": "6398a045-509e-49a2-9268-bb8231fa9340",
"lastUpdatedByUserId": "5fc5ee85-6643-4623-b019-a0dccceafe47",
"description": "Services provided.",
"status": 0,
"invoiceNumber": 10001,
"invoiceTitle": "My First Invoice",
"invoiceTitleLine2": "Subtitle",
"issuedDate": "2022-09-16T00:00:00+00:00",
"dueDate": "2022-09-25T00:00:00+00:00",
"paidDate": "2022-09-20T00:00:00+00:00",
"discount": {
"type": 0,
"fixedDiscount": 100,
"percentage": 10,
"description": "Friend of the Firm"
},
"surcharge": {
"type": 1,
"fixedSurcharge": 100,
"percentage": 123,
"description": "Late Payment Fee",
"applyTo": 1
},
"debtors": [
{
"contact": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
}
],
"entries": [
{
"id": "<string>",
"versionId": "<string>"
}
],
"waived": false,
"invoiceTotals": {
"paid": 100,
"billed": 200,
"unpaid": 100,
"unpaidExcInterest": 100,
"writtenOff": 0,
"waived": 0,
"discount": 0,
"total": 100,
"tax": 10,
"interest": 0,
"feeTotal": 100,
"writtenOffFeeTotal": 100,
"expenseTotal": 100,
"writtenOffExpenseTotal": 180
}
}
],
"offset": 123,
"limit": 123,
"size": 123,
"first": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"previous": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"next": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"last": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Invoices
Get invoices
Returns a list of invoices for the specified matter.
GET
/
matters
/
{matterId}
/
invoices
Get invoices
Path Parameters
The unique identifier of the matter that the invoice belongs to.
Query Parameters
Returns items updated since the specified date and time.
Example:
"2022-04-23T14:00:00Z"
Returns items updated since a specified time (.net ticks representation of the UTC datetime).
Required range:
0 <= x <= 2147483647Required range:
1 <= x <= 500Response
When request is successful. Returns a paged collection of 'Invoice' objects.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
āI